- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/patch.md.txt#try-it)

Updates a `Creative` object.

### HTTP request

`PATCH https://admanager.googleapis.com/v1/{creative.name}`

### Path parameters

| Parameters ||
|---|---|
| `creative.name` | `string` Identifier. The resource name of the Creative. Format: `networks/{networkCode}/creatives/{creativeId}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`FieldMask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `Creative`.

### Response body

If successful, the response body contains an instance of `Creative`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).